# RPM specfile for evolution module
# Generated Sat Apr 28 05:45:53 2001 GMT by Ximian build system
# $Id: bb_do,v 1.111 2001/04/25 21:21:04 mike Exp $
# from $Id: helix-build.conf,v 1.16 2001/04/28 06:39:59 clahey Exp $

%define nam	evolution
%define ver	0.10

Name:     	evolutn
Version: 	0.10
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 6.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://www.gnome.org/
Source0:	evolution-0.10.tar.gz
Summary:	GNOME's next-generation groupware suite
Group:		Applications/Productivity
Requires:	bonobo >= 0.36
Requires:	gtkhtml >= 0.9.2
Requires:	libgal6 >= 0.7

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/opt/gnome/share/gnome/apps/Applications/evolution.desktop
/opt/gnome/share/gnome/help/evolution
/opt/gnome/share/gnome/ui/*
/opt/gnome/share/gnome/html/*
/opt/gnome/share/mime-info/*
/opt/gnome/share/evolution
/opt/gnome/share/idl/*.idl
/opt/gnome/share/oaf/*.oaf
/opt/gnome/share/gnome-pilot/conduits/*
/opt/gnome/share/pixmaps/*
/opt/gnome/share/images/evolution
/opt/gnome/share/locale/*/*/*
/opt/gnome/lib/*.so*
/opt/gnome/lib/evolution/camel-providers/*/*.so*
/opt/gnome/lib/evolution/camel-providers/*/*.urls
/opt/gnome/lib/evolution/evolution-mail-importers/*/*.so*
/opt/gnome/lib/gnome-pilot/conduits/*.so*
/opt/gnome/bin/*


%post
ldconfig

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n evolution-0.10
    ;;
all)
%setup  -q -n evolution-0.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --enable-pilot-conduits=yes
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
